OpenNMS API 1.2.9

## org.opennms.core.utils
Class JavaMailerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.opennms.core.utils.JavaMailerException

All Implemented Interfaces:
  java.io.Serializable

public class JavaMailerException
extends java.lang.Exception

Exception used to create proper return code

Author:
  David Hustace TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates
See Also:
  Serialized Form

Field Summary
`private static long` `serialVersionUID`

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`JavaMailerException()`
`JavaMailerException(java.lang.String message)`
`JavaMailerException(java.lang.String message, java.lang.Throwable cause)`
`JavaMailerException(java.lang.Throwable cause)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### JavaMailerException

    public JavaMailerException()

### JavaMailerException

    public JavaMailerException(java.lang.String message)

### JavaMailerException

    public JavaMailerException(java.lang.String message,
                               java.lang.Throwable cause)

Parameters:
  `cause` -

### JavaMailerException

    public JavaMailerException(java.lang.Throwable cause)

Parameters:
  `cause` -

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.